@echo off
echo 
echo CHKDOS - Demo batch file to demonstrate the /C and /Q options of CrCheck!
echo 
echo Hint: This batch file uses the old ERRORLEVEL CODE == 1 for checking if the
echo checksum is wrong. Better usage is ERRORLEVEL == 20
echo.
if not exist c:\command.com goto chknext4

echo The following check is only valid for Novell-DOS 7.0p13 (German patch)
crcheck c:\command.com -q /c=1cf91367
if errorlevel == 1 goto chknext1
goto ok

:chknext1
echo The following check is only valid for Novell-DOS 7.0p12 (English patch)
crcheck C:\COMMAND.COM /C=ac510582 -q
if errorlevel == 1 goto chknext2
goto ok

:chknext2
echo The following check is only valid for Win 0.95a/b (German edition)
crcheck C:\COMMAND.COM /C=dcd6e860 -q
if errorlevel == 1 goto chknext3a
goto ok
:chknext3a
crcheck C:\COMMAND.COM /C=8be8ef19 -q
if errorlevel == 1 goto chknext3
goto ok

:chknext3
echo The following check is only valid for MS-DOS 6.20 (German edition)
crcheck C:\COMMAND.COM /C=9304e476 -q
if errorlevel == 1 goto chknext4
goto ok

:chknext4
if not exist %ComSpec% goto nocmdcom
echo The following check is only valid for Win NT 4.0/SP6a (German edition)
crcheck %ComSpec% /C=01C8C2EB -q
if errorlevel == 1 goto error

:ok
echo C:\COMMAND.COM (%ComSpec%) unchanged!
goto end

:error
echo C:\COMMAND.COM has been changed or does not exist!
echo The C:\COMMAND.COM checksum is:
crcheck C:\COMMAND.COM /c /s
echo The %ComSpec% checksum is:
crcheck %ComSpec% /c /s

:end
echo.
echo Demonstration of the supplied program CrcTest
echo Testing: %ComSpec%, CRC: 12345678
crctest %ComSpec% 12345678
if errorlevel==2 goto bad_end
if errorlevel==1 goto ok2
if errorlevel==0 goto bad_end

:ok2
echo CRC OK
goto end2

:bad_end
echo CRC changed... (or another DOS version :)
goto end2

:nocmdcom
echo C:\COMMAND.COM does not exist, so this demonstration program will not work!
echo Probably you are using Win-NT or Win2000
echo.

:end2
echo 
echo.
